diff -u -Nur cacti-0.8.7e.bak/debian/cacti.postinst cacti-0.8.7e/debian/cacti.postinst
--- cacti-0.8.7e.bak/debian/cacti.postinst	2010-01-07 13:38:39.722365167 +0100
+++ cacti-0.8.7e/debian/cacti.postinst	2010-01-07 13:41:54.609792094 +0100
@@ -54,14 +54,18 @@
 		webservers="" ;;
 esac
 
-for server in $webservers; do
-	if [ -d "/etc/${server}/conf.d" ]; then
-		if [ ! -e "/etc/${server}/conf.d/cacti.conf" ] ; then
-			ln -s ../../cacti/apache.conf "/etc/${server}/conf.d/cacti.conf"
-		fi
-		invoke-rc.d $server reload || true
-	fi
-done
+# Only try to add a symlink on a fresh install to respect
+# changes done by the administrator
+if [ "$2" = '' ]; then
+    for server in $webservers; do
+        if [ -d "/etc/${server}/conf.d" ]; then
+            if [ ! -e "/etc/${server}/conf.d/cacti.conf" ] ; then
+                ln -s ../../cacti/apache.conf "/etc/${server}/conf.d/cacti.conf"
+            fi
+            invoke-rc.d $server reload || true
+        fi
+    done
+fi
 
 # remove old unused config file
 rm -f /etc/cacti/config.php
